Bug 97029 - redhat-config-network resets passwords in /etc/ppp/chap-secrets
Summary: redhat-config-network resets passwords in /etc/ppp/chap-secrets
Status: CLOSED DUPLICATE of bug 97027
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-09 12:15 UTC by bastiaan
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:56:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bastiaan 2003-06-09 12:15:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
If you edit any network device and save the settings (via 'File/Save')
redhat-config-network will reset the passwords of all entries in
/etc/ppp/chap-secrets to the value "None".
It does not matter whether the modified network device is a PPP / CHAP
connection or not.


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.3-3

How reproducible:
Always

Steps to Reproduce:
1. create a PPP based network device, e.g. xDSL, and save the settings
2. edit any of the available network devices, and save the settings

    

Actual Results:  The password of the PPP device in /etc/ppp/chap-secrets has
been reset to "None"

Expected Results:  The password should have kept the original value. 

Additional info:

I'm not sure whether having a default password "None" may pose a security risk,
but to be safe I set the severity of this bug to 'security'.

Comment 1 Harald Hoyer 2003-06-10 15:18:06 UTC

*** This bug has been marked as a duplicate of 97027 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:56:38 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.